petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStageLogGetActive

This function returns whether events will be logged suring this stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetActive(PetscStageLog stageLog, int stage, PetscBool  *isActive)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage to log

### Output Parameter

isActive -The activity flag, PETSC_TRUE for logging, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Keywords

log, visible, stage

### See Also

PetscStageLogSetActive(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages